/* This is Os.Windows.Inc */

WinGetWindowExtent: PROCEDURE (pRect) EXTERNAL;
  DCL pRect  PTR;
  END;

WinEraseRectangle: PROCEDURE (pRect) EXTERNAL;
  DCL pRect  PTR;
  END;

WinInvertRectangle: PROCEDURE (pRect) EXTERNAL;
  DCL pRect  PTR;
  END;

WinDrawChars: PROCEDURE (pMsg, count, xLoc, yLoc) EXTERNAL;
  DCL pMsg     PTR;
  DCL count    WORD;
  DCL xLoc     INTEGER;
  DCL yLoc     INTEGER;
  END;

CharHeight: PROCEDURE INTEGER EXTERNAL;
  END;

LineHeight: PROCEDURE INTEGER EXTERNAL;
  END;

CharWidth: PROCEDURE INTEGER EXTERNAL;
  END;

WinResetClip: PROCEDURE EXTERNAL;
  END;

WinAllocateWindowMemory: PROCEDURE (width, height, format, pError) PTR EXTERNAL;
  DCL format      WORD;
  DCL width       INTEGER;
  DCL height      INTEGER;
  DCL pError      PTR;
  END;


WinCopyRemoteRectangle: PROCEDURE (pSrc, pDest, pRect, 
                                   topY, topX, mode) EXTERNAL;
  DCL mode       WORD;
  DCL topY       INTEGER;
  DCL topX       INTEGER;
  DCL pSrc       PTR;
  DCL pDest      PTR;
  DCL pRect      PTR;
  END;

